import EuiBasePage from '../eui-base.po.js'
import CoUxActionBox from '../../../../components/10x/ux/ux-action-box.js'

export default class ActionBoxPage extends EuiBasePage {
  constructor() {
      super();
  }
  actionBoxByIndex(index) {
    let actionBox1 =  new CoUxActionBox(this.mainContent);
    return actionBox1.byIndex(index);
  }
  actionBoxByTextContains(text) {
    let actionBox1 = new CoUxActionBox(this.mainContent);
    return actionBox1.byTextContains(text);
  }
  actionBoxByTextEqualsAndIndex(text, index, normalize=true) {
    let actionBox1 = new CoUxActionBox(this.mainContent);
    return actionBox1.byTextEqualsAndIndex(text, index, normalize);
  }
  actionBoxFromSectionById(id) {
    return new CoUxActionBox(this.sectionById(id));
  }
  actionBoxFromSectionWithIdByIndex(id, index) {
    let actionBox1 = new CoUxActionBox(this.sectionById(id));
    return actionBox1.byIndex(index);
  }
}


